Bug 477221 - Review Request: qzion - QZion is an canvas abstraction used by and made for QEdje
Review Request: qzion - QZion is an canvas abstraction used by and made for Q...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477223
  Show dependency treegraph
 
Reported: 2008-12-19 13:22 EST by john5342
Modified: 2009-01-29 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-24 13:39:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description john5342 2008-12-19 13:22:35 EST
Spec URL: http://john5342.fedorapeople.org/rpms/qzion.spec
SRPM URL: http://john5342.fedorapeople.org/rpms/qzion-0.3.0-1.fc10.src.rpm
Description: QZion is an canvas abstraction used by and made for QEdje.

This package is a requirement of qedje which will be submitted shortly.

rpmlint output is:
qzion-devel.x86_64: W: no-documentation
appropriate docs are provided in main package which is required by qzion-devel
Comment 1 Rex Dieter 2008-12-19 14:05:32 EST
I'll take a gander
Comment 2 Rex Dieter 2008-12-19 16:11:18 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1010198

$ rpmlint *.rpm
qzion-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Simple library-only package, so only a few minor comments:

1.  BR: qt4-devel is preferable

2.  BR: pkgconfig (so F11+'s rpm can do automatic pkgconfig-related deps).

3.  License: GPLv3+
files all contain the "or (at your option) any later version." clause

sources: ok
patches: ok
scriptlets: ok
macros: ok

I'll leave the minor items 1-3 to you to fix prior to building.

APPROVED.
Comment 3 Rex Dieter 2008-12-19 16:18:19 EST
Oh, and let me suggest a shorter summary, something like:
A canvas abstraction
(including the pkg's name and the phrase "used by and made for..." is superfluous imo)
Comment 4 john5342 2008-12-19 16:20:13 EST
New Package CVS Request
=======================
Package Name: qzion
Short Description: A canvas abstraction
Owners: john5342
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2008-12-20 23:28:38 EST
cvs done.
Comment 6 Fedora Update System 2008-12-22 09:07:46 EST
qedje-0.3.0-2.fc10,qzion-0.3.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qedje-0.3.0-2.fc10,qzion-0.3.0-2.fc10
Comment 7 Fedora Update System 2008-12-24 13:39:27 EST
qedje-0.3.0-2.fc10, qzion-0.3.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-01-29 18:06:44 EST
qedje-0.3.0-2.fc9, qzion-0.3.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.